View Issue Details

IDProjectCategoryView StatusLast Update
12051Bug reports[All Projects] User/User groupspublic2017-01-30 15:26
ReportermbrAssigned Toc_schmitz 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version2.58.x 
Target VersionFixed in Version2.59.x 
Summary12051: non-admin users can see all usergroups
Description

Hello,

On 2.58.2, non-admin users can see all the usergroups created on this install.
On 2.50+ Build 160506, non-admin users can see only the usergroups they have created.

It would be better to have this behaviour on 2.58.2.

Thank's by advance
Regards

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.58.2
I will donate to the project if issue is resolvedNo
Browserchromium, chrome, firefox
Database & DB-VersionMariaDB 5.5 (server) & MySQL 5.7 (laptop)
Server OS (if known)RHEL 7 (server) & Ubuntu 16.04 (laptop)
Webserver software & version (if known)apache 2.4.6 (server) & PHP server (laptop)
PHP VersionPHP 5.4.16 (server) & PHP 7.0.8 (laptop)

Activities

mbr

mbr

2017-01-12 17:36

reporter   ~42704

Did you receive some demands to see all groups?
Thank's by advance for your feedback

regards

mbr

mbr

2017-01-13 13:43

reporter   ~42723

Hi,
I've got a proposition for the usergroups view :

it would be very nice to :
1- for admin users -> see all groups (that's already ok! )
2- for non-admin users -> see the groups they've created (identified by "My groups") and below see the groups to which they belong (identified by "Groups to which i belong")

I can make a pull-request for it. Are you interested?
Thank's for feedback

Regards

mbr

mbr

2017-01-13 14:24

reporter   ~42726

In addition, the users who aren't not owner of a usergroup don't have to see buttons, or actions, they don't have the right to perform to.

Regards

mbr

mbr

2017-01-16 15:14

reporter   ~42736

Hi
i just submit a pull-request for this ticket.
Thank's

c_schmitz

c_schmitz

2017-01-18 14:21

administrator   ~42750

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22123

c_schmitz

c_schmitz

2017-01-30 15:26

administrator   ~42876

LimeSurvey Version 2.62.1 released

Related Changesets

LimeSurvey: master 512f0b61

2017-01-18 14:13:44

mbr


Committer: c_schmitz Details Diff
Fixed issue + updated feature : usergroups view (#620)

Fixed issue 12051: Non-admin users can see all usergroups
Affected Issues
12051
mod - application/models/UserGroup.php Diff File
mod - application/views/admin/usergroup/usergroupbar_view.php Diff File
mod - application/views/admin/usergroup/usergroups_view.php Diff File

Issue History

Date Modified Username Field Change
2017-01-12 16:07 mbr New Issue
2017-01-12 17:36 mbr Note Added: 42704
2017-01-13 13:43 mbr Note Added: 42723
2017-01-13 14:24 mbr Note Added: 42726
2017-01-16 15:14 mbr Note Added: 42736
2017-01-18 14:21 c_schmitz Changeset attached => LimeSurvey master 512f0b61
2017-01-18 14:21 c_schmitz Note Added: 42750
2017-01-18 14:21 c_schmitz Assigned To => c_schmitz
2017-01-18 14:21 c_schmitz Resolution open => fixed
2017-01-19 16:55 c_schmitz Status new => resolved
2017-01-19 16:55 c_schmitz Fixed in Version => 2.59.x
2017-01-30 15:26 c_schmitz Note Added: 42876
2017-01-30 15:26 c_schmitz Status resolved => closed